ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IOutputStage Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IOutputStage:

## Public Member Functions
bool | GetOutputStageEnabled (EChannel channel)
| Returns if output stage on driver is enabled.
void | SetOutputStageEnabled (EChannel channel, bool enabled)
| Enable/Disable output stage.
float | GetOutputStageCurrentLimit (EChannel channel)
| Returns current limit on output stage.
void | SetOutputStageCurrentLimit (EChannel channel, float limit)
| Set current limit on output stage.
float | GetOutputStageOutputCurrent (EChannel channel)
| Returns output stage current.
float | GetOutputStageSensorOutput (EChannel channel)
| Returns Output stage sensor output.

## Member Function Documentation

## ◆ GetOutputStageCurrentLimit()

float ICC4cPwmSdk.Device.IOutputStage.GetOutputStageCurrentLimit | ( | EChannel | channel | ) |

Returns current limit on output stage.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.IOutputStage.GetOutputStageEnabled | ( | EChannel | channel | ) |

Returns if output stage on driver is enabled.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOutputStageOutputCurrent()

float ICC4cPwmSdk.Device.IOutputStage.GetOutputStageOutputCurrent | ( | EChannel | channel | ) |

Returns output stage current.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOutputStageSensorOutput()

float ICC4cPwmSdk.Device.IOutputStage.GetOutputStageSensorOutput | ( | EChannel | channel | ) |

Returns Output stage sensor output.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOutputStageCurrentLimit()

void ICC4cPwmSdk.Device.IOutputStage.SetOutputStageCurrentLimit | ( | EChannel | channel,
|  | float | limit )

Set current limit on output stage.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.IOutputStage.SetOutputStageEnabled | ( | EChannel | channel,
|  | bool | enabled )

Enable/Disable output stage.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController, and ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs